Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.work
Class WorkManagerFactory

    java.lang.Object
      com.bea.wlcp.wlng.api.work.WorkManagerFactory

public abstract class WorkManagerFactory
extends Object

Factory for using the commonj.work api. Work managers should typically be defined in META-INF/weblogic-application.xml of the EAR.

Example usage

>      WorkManager wm = WorkManagerFactory.getFactory().getWorkManager("my_work_mgr");
>      WorkItem wi = wm.scheduleWork(work, listener);

See also http://e-docs.bea.com/wls/docs100/javadocs/index.html?commonj/work/package-summary.html

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Constructor Summary
`WorkManagerFactory()`

Method Summary
`static WorkManagerFactory` | `getFactory()` Retrieves the fatory
`abstract Work` | `getTransactionalWork(Work work)` Wraps a transaction around a work.
`abstract WorkManager` | `getWorkManager(String name)` Retrieves a commonj.work.WorkManager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkManagerFactory

    public WorkManagerFactory()

Method Detail

### getFactory

    public static WorkManagerFactory getFactory()

  Retrieves the fatory

### getTransactionalWork

    public abstract Work getTransactionalWork(Work work)

  Wraps a transaction around a work. When the work starts executing a transaction is started. When the work completes the transaction is commited. Any RuntimException thrown will cause a transaction rollback. The work will also propagate current session id and request context.

  Parameters:
    `work` - The work to wrap.

### getWorkManager

    public abstract WorkManager getWorkManager(String name)

  Retrieves a commonj.work.WorkManager.

  Parameters:
    `name` - This is the name of a predefined work manager. If name is null or there is no work manager defined the default work manager will be used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD